Subject: If Your Favorite Vendor Has Been Quiet on Sales Lately, Here's What You Should Know
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Tue, 17 Mar 2026 02:10:54 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/if-your-favorite-vendor-has-been

Been on the phone a lot this week with vendors, and I want to give you some real context on what’s happening behind the scenes in the research space right now.
If you’ve noticed that some of your usual vendors aren’t running sales as aggressively as they typically do, it has nothing to do with business slowing down. It comes down to payment processing — and it’s messier than most people realize.
Here’s the reality: vendors are constantly cycling through new processors, and a lot of these processors will accept a research company, go live, and then pull the plug within days and freeze all of their funds. We’re talking months to get that money back — if they get it back at all. So when a vendor goes quiet on sales, there’s a good chance they’re in a trial period with a new processor, waiting to see if it actually holds before they go all in.
The shady part isn’t the vendors. It’s the processor side. I’ve never seen an industry with this many people claiming to offer merchant solutions just to collect a commission and disappear. Anyone you see online actively promoting peptide company credit card processing is almost certainly in it for a cut — not because they’ve vetted the reliability of the option they’re pushing.
So what does this mean for you?
If you want consistent access to order, I’d strongly recommend getting comfortable with Zelle or bank-to-bank transfers. There will always be some form of card processing available, but it will always be the most volatile piece of the puzzle given how Visa and Mastercard classify this space.
The sales will come. Vendors are just being smart about not going big on promotions until their processing is actually stable for the long term.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNVEl3T0RRNE5pd2lhV0YwSWpveE56Y3pOekV6TkRVNUxDSmxlSEFpT2pFNE1EVXlORGswTlRrc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LmxtSHRMWnJGbHEtSXFYbFpVWS11YU1OWFM3XzA2Z2JMWmItdnI4TkV3OEUiLCJwIjoxOTEyMDg0ODYsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzczNzEzNDU5LCJleHAiOjIwODkyODk0NTksImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.xmzlboB4l39pOjSfmrGye9OxcuU2Bec6Xvrf_anOYH4?